Index: trunk/SophyaLib/HiStats/histos2.cc
===================================================================
--- trunk/SophyaLib/HiStats/histos2.cc	(revision 1089)
+++ trunk/SophyaLib/HiStats/histos2.cc	(revision 1092)
@@ -1038,21 +1051,21 @@
   \endverbatim
 */
-void Histo2D::Print(float min,float max
-                   ,int il,int ih,int jl,int jh)
-{
-int ns = 35;
+void Histo2D::Print(r_8 min,r_8 max
+                   ,int_4 il,int_4 ih,int_4 jl,int_4 jh)
+{
+int_4 ns = 35;
 const char *s =    "+23456789ABCDEFGHIJKLMNOPQRSTUVWXYZ";
 
-if( il > ih ) { il = 0; ih = nx-1; }
-if( jl > jh ) { jl = 0; jh = ny-1; }
+if( il > ih ) { il = 0; ih = mNx-1; }
+if( jl > jh ) { jl = 0; jh = mNy-1; }
 if( il < 0 ) il = 0;
 if( jl < 0 ) jl = 0;
-if( ih >= nx ) ih = nx-1;
-if( jh >= ny ) jh = ny-1;
+if( ih >= mNx ) ih = mNx-1;
+if( jh >= mNy ) jh = mNy-1;
 
 PrintStatus();
 
-if( il != 0 || ih != nx-1 || jl != 0 || jh != ny-1 ) {
-  float xl,xh,yl,yh;
+if( il != 0 || ih != mNx-1 || jl != 0 || jh != mNy-1 ) {
+  r_8 xl,xh,yl,yh;
   BinLowEdge(il,jl,xl,yl);
   BinHighEdge(ih,jh,xh,yh);
@@ -1072,26 +1085,26 @@
 // imprime numero de bin en colonne
 printf("\n");
-if( nx-1 >= 100 ) {
+if( mNx-1 >= 100 ) {
   printf("     ");
-  for(int i=il;i<=ih;i++) printf("%1d",(int) (i%1000)/100);
+  for(int_4 i=il;i<=ih;i++) printf("%1d",(int_4) (i%1000)/100);
   printf("\n");
 }
-if( nx-1 >= 10 ) {
+if( mNx-1 >= 10 ) {
   printf("     ");
-  for(int i=il;i<=ih;i++) printf("%1d",(int) (i%100)/10);
+  for(int_4 i=il;i<=ih;i++) printf("%1d",(int_4) (i%100)/10);
   printf("\n");
 }
 printf("     ");
-for(int i=il;i<=ih;i++) printf("%1d",i%10);
+for(int_4 i=il;i<=ih;i++) printf("%1d",i%10);
 printf("\n");
-printf("     "); {for(int i=il;i<=ih;i++) printf("-"); printf("\n");}
+printf("     "); {for(int_4 i=il;i<=ih;i++) printf("-"); printf("\n");}
 
 // imprime histogramme
-for(int j=jh;j>=jl;j--) {
+for(int_4 j=jh;j>=jl;j--) {
   printf("%3d: ",j);
-  for(int i=il;i<=ih;i++) {
-    int h;
-    if( 1<=max-min && max-min<=35 ) h = (int)( (*this)(i,j) - min ) - 1;
-      else h = (int)( ((*this)(i,j)-min)/(max-min) * ns ) - 1;
+  for(int_4 i=il;i<=ih;i++) {
+    int_4 h;
+    if( 1<=max-min && max-min<=35 ) h = (int_4)( (*this)(i,j) - min ) - 1;
+      else h = (int_4)( ((*this)(i,j)-min)/(max-min) * ns ) - 1;
     char c;
     if(h<0 && (*this)(i,j)>min) c = '.';
@@ -1105,17 +1118,17 @@
 
 // imprime numero de bin en colonne
-printf("     "); {for(int i=il;i<=ih;i++) printf("-"); printf("\n");}
-if( nx-1 >= 100 ) {
+printf("     "); {for(int_4 i=il;i<=ih;i++) printf("-"); printf("\n");}
+if( mNx-1 >= 100 ) {
   printf("     ");
-  for(int i=il;i<=ih;i++) printf("%1d",(int) (i%1000)/100);
+  for(int_4 i=il;i<=ih;i++) printf("%1d",(int_4) (i%1000)/100);
   printf("\n");
 }
-if( nx-1 >= 10 ) {
+if( mNx-1 >= 10 ) {
   printf("     ");
-  for(int i=il;i<=ih;i++) printf("%1d",(int) (i%100)/10);
+  for(int_4 i=il;i<=ih;i++) printf("%1d",(int_4) (i%100)/10);
   printf("\n");
 }
 printf("     ");
-{for(int i=il;i<=ih;i++) printf("%1d",i%10);}
+{for(int_4 i=il;i<=ih;i++) printf("%1d",i%10);}
 printf("\n");
 
@@ -1130,7 +1143,7 @@
 void Histo2D::SetProjX()
 {
-if( hprojx != NULL ) DelProjX();
-hprojx = new Histo(xmin,xmax,nx);
-if( err2 != NULL && hprojx != NULL ) hprojx->Errors();
+if( mHprojx != NULL ) DelProjX();
+mHprojx = new Histo(mXmin,mXmax,mNx);
+if( mErr2 != NULL && mHprojx != NULL ) mHprojx->Errors();
 }
 
@@ -1140,7 +1153,7 @@
 void Histo2D::SetProjY()
 {
-if( hprojy != NULL ) DelProjY();
-hprojy = new Histo(ymin,ymax,ny);
-if( err2 != NULL && hprojy != NULL  ) hprojy->Errors();
+if( mHprojy != NULL ) DelProjY();
+mHprojy = new Histo(mYmin,mYmax,mNy);
+if( mErr2 != NULL && mHprojy != NULL  ) mHprojy->Errors();
 }
 
@@ -1159,7 +1172,7 @@
 void Histo2D::ShowProj()
 {
-if( hprojx != NULL ) cout << ">>>> Projection X set : "<< hprojx <<endl;
+if( mHprojx != NULL ) cout << ">>>> Projection X set : "<< mHprojx <<endl;
   else cout << ">>>> NO Projection X set"<<endl;
-if( hprojy != NULL ) cout << ">>>> Projection Y set : "<< hprojy <<endl;
+if( mHprojy != NULL ) cout << ">>>> Projection Y set : "<< mHprojy <<endl;
   else cout << ">>>> NO Projection Y set"<<endl;
 }
@@ -1170,7 +1183,7 @@
 void Histo2D::DelProjX()
 {
-if( hprojx == NULL ) return;
-delete hprojx;
-hprojx = NULL;
+if( mHprojx == NULL ) return;
+delete mHprojx;
+mHprojx = NULL;
 }
 
@@ -1180,7 +1193,7 @@
 void Histo2D::DelProjY()
 {
-if( hprojy == NULL ) return;
-delete hprojy;
-hprojy = NULL;
+if( mHprojy == NULL ) return;
+delete mHprojy;
+mHprojy = NULL;
 }
 
@@ -1199,6 +1212,6 @@
 void Histo2D::ZeroProjX()
 {
-if( hprojx == NULL ) return;
-hprojx->Zero();
+if( mHprojx == NULL ) return;
+mHprojx->Zero();
 }
 
@@ -1208,6 +1221,6 @@
 void Histo2D::ZeroProjY()
 {
-if( hprojy == NULL ) return;
-hprojy->Zero();
+if( mHprojy == NULL ) return;
+mHprojy->Zero();
 }
 
@@ -1227,13 +1240,13 @@
   Pour creer une bande en X entre ybmin et ybmax.
 */
-int Histo2D::SetBandX(float ybmin,float ybmax)
-{
-b_s.num = lbandx.size();
-b_s.min = ybmin;
-b_s.max = ybmax;
-b_s.H = new Histo(xmin,xmax,nx);
-lbandx.push_back(b_s);
-b_s.H = NULL;
-return lbandx.size()-1;
+int_4 Histo2D::SetBandX(r_8 ybmin,r_8 ybmax)
+{
+mB_s.num = mLBandx.size();
+mB_s.min = ybmin;
+mB_s.max = ybmax;
+mB_s.H = new Histo(mXmin,mXmax,mNx);
+mLBandx.push_back(mB_s);
+mB_s.H = NULL;
+return mLBandx.size()-1;
 }
 
@@ -1241,13 +1254,13 @@
   Pour creer une bande en Y entre xbmin et xbmax.
 */
-int Histo2D::SetBandY(float xbmin,float xbmax)
-{
-b_s.num = lbandy.size();
-b_s.min = xbmin;
-b_s.max = xbmax;
-b_s.H = new Histo(ymin,ymax,ny);
-lbandy.push_back(b_s);
-b_s.H = NULL;
-return lbandy.size()-1;
+int_4 Histo2D::SetBandY(r_8 xbmin,r_8 xbmax)
+{
+mB_s.num = mLBandy.size();
+mB_s.min = xbmin;
+mB_s.max = xbmax;
+mB_s.H = new Histo(mYmin,mYmax,mNy);
+mLBandy.push_back(mB_s);
+mB_s.H = NULL;
+return mLBandy.size()-1;
 }
 
@@ -1257,8 +1270,8 @@
 void Histo2D::DelBandX()
 {
-if( lbandx.size() <= 0 ) return;
-for(list<bande_slice>::iterator i = lbandx.begin(); i != lbandx.end(); i++)
+if( mLBandx.size() <= 0 ) return;
+for(list<bande_slice>::iterator i = mLBandx.begin(); i != mLBandx.end(); i++)
        if( (*i).H != NULL ) {delete (*i).H; (*i).H=NULL;}
-lbandx.erase(lbandx.begin(),lbandx.end());
+mLBandx.erase(mLBandx.begin(),mLBandx.end());
 }
 
@@ -1268,8 +1281,8 @@
 void Histo2D::DelBandY()
 {
-if( lbandy.size() <= 0 ) return;
-for(list<bande_slice>::iterator i = lbandy.begin(); i != lbandy.end(); i++)
+if( mLBandy.size() <= 0 ) return;
+for(list<bande_slice>::iterator i = mLBandy.begin(); i != mLBandy.end(); i++)
        if( (*i).H != NULL ) {delete (*i).H; (*i).H=NULL;}
-lbandy.erase(lbandy.begin(),lbandy.end());
+mLBandy.erase(mLBandy.begin(),mLBandy.end());
 }
 
@@ -1279,7 +1292,7 @@
 void Histo2D::ZeroBandX()
 {
-if( lbandx.size() <= 0 ) return;
+if( mLBandx.size() <= 0 ) return;
 list<bande_slice>::iterator i;
-for(i = lbandx.begin(); i != lbandx.end(); i++)
+for(i = mLBandx.begin(); i != mLBandx.end(); i++)
               (*i).H->Zero();
 }
@@ -1290,7 +1303,7 @@
 void Histo2D::ZeroBandY()
 {
-if( lbandy.size() <= 0 ) return;
+if( mLBandy.size() <= 0 ) return;
 list<bande_slice>::iterator i;
-for(i = lbandy.begin(); i != lbandy.end(); i++)
+for(i = mLBandy.begin(); i != mLBandy.end(); i++)
               (*i).H->Zero();
 }
@@ -1299,8 +1312,8 @@
   Retourne un pointeur sur la bande numero `n' selon X.
 */
-Histo* Histo2D::HBandX(int n) const
-{
-if( lbandx.size() <= 0 || n < 0 || n >= (int) lbandx.size() ) return NULL;
-for(list<bande_slice>::const_iterator i = lbandx.begin(); i != lbandx.end(); i++)
+Histo* Histo2D::HBandX(int_4 n) const
+{
+if( mLBandx.size() <= 0 || n < 0 || n >= (int_4) mLBandx.size() ) return NULL;
+for(list<bande_slice>::const_iterator i = mLBandx.begin(); i != mLBandx.end(); i++)
               if( (*i).num == n ) return (*i).H;
 return NULL;
@@ -1310,8 +1323,8 @@
   Retourne un pointeur sur la bande numero `n' selon Y.
 */
-Histo* Histo2D::HBandY(int n) const
-{
-if( lbandy.size() <= 0 || n < 0 || n >= (int) lbandy.size() ) return NULL;
-for(list<bande_slice>::const_iterator i = lbandy.begin(); i != lbandy.end(); i++)
+Histo* Histo2D::HBandY(int_4 n) const
+{
+if( mLBandy.size() <= 0 || n < 0 || n >= (int_4) mLBandy.size() ) return NULL;
+for(list<bande_slice>::const_iterator i = mLBandy.begin(); i != mLBandy.end(); i++)
               if( (*i).num == n ) return (*i).H;
 return NULL;
@@ -1321,9 +1334,9 @@
   Retourne les limites de la bande numero `n' selon X.
 */
-void Histo2D::GetBandX(int n,float& ybmin,float& ybmax) const
+void Histo2D::GetBandX(int_4 n,r_8& ybmin,r_8& ybmax) const
 {
 ybmin = 0.; ybmax = 0.;
-if( lbandx.size() <= 0 || n < 0 || n >= (int) lbandx.size() ) return;
-for(list<bande_slice>::const_iterator i = lbandx.begin(); i != lbandx.end(); i++)
+if( mLBandx.size() <= 0 || n < 0 || n >= (int_4) mLBandx.size() ) return;
+for(list<bande_slice>::const_iterator i = mLBandx.begin(); i != mLBandx.end(); i++)
   if( (*i).num == n ) { ybmin = (*i).min; ybmax = (*i).max; return;}
 return;
@@ -1333,9 +1346,9 @@
   Retourne les limites de la bande numero `n' selon Y.
 */
-void Histo2D::GetBandY(int n,float& xbmin,float& xbmax) const
+void Histo2D::GetBandY(int_4 n,r_8& xbmin,r_8& xbmax) const
 {
 xbmin = 0.; xbmax = 0.;
-if( lbandy.size() <= 0 || n < 0 || n >= (int) lbandy.size() ) return;
-for(list<bande_slice>::const_iterator i = lbandy.begin(); i != lbandy.end(); i++)
+if( mLBandy.size() <= 0 || n < 0 || n >= (int_4) mLBandy.size() ) return;
+for(list<bande_slice>::const_iterator i = mLBandy.begin(); i != mLBandy.end(); i++)
   if( (*i).num == n ) { xbmin = (*i).min; xbmax = (*i).max; return;}
 return;
@@ -1345,10 +1358,10 @@
   Informations sur les bandes.
 */
-void Histo2D::ShowBand(int lp)
-{
-  cout << ">>>> Nombre de bande X : " << lbandx.size() << endl;
-if( lp>0 && lbandx.size()>0 ) {
+void Histo2D::ShowBand(int_4 lp)
+{
+  cout << ">>>> Nombre de bande X : " << mLBandx.size() << endl;
+if( lp>0 && mLBandx.size()>0 ) {
   list<bande_slice>::iterator i;
-  for(i = lbandx.begin(); i != lbandx.end(); i++) {
+  for(i = mLBandx.begin(); i != mLBandx.end(); i++) {
     cout<<"  "<<(*i).num<<" de ymin="<<(*i).min<<" a ymax="<<(*i).max;
     if(lp>1) cout << "   H=" << (*i).H;
@@ -1357,8 +1370,8 @@
 }
 
-cout << ">>>> Nombre de bande Y : " << lbandy.size() << endl;
-if( lp>0 && lbandy.size()>0 ) {
+cout << ">>>> Nombre de bande Y : " << mLBandy.size() << endl;
+if( lp>0 && mLBandy.size()>0 ) {
   list<bande_slice>::iterator i;
-  for(i = lbandy.begin(); i != lbandy.end(); i++) {
+  for(i = mLBandy.begin(); i != mLBandy.end(); i++) {
     cout<<"  "<<(*i).num<<" de xmin="<<(*i).min<<" a xmax="<<(*i).max;
     if(lp>1) cout << "   H=" << (*i).H;
@@ -1374,20 +1387,20 @@
   Pour creer `nsli' bandes equidistantes selon X.
 */
-int Histo2D::SetSliX(int nsli)
+int_4 Histo2D::SetSliX(int_4 nsli)
 {
 if( nsli <= 0 ) return -1;
-if( nsli >  ny ) nsli = ny;
-if( lslix.size() > 0 ) DelSliX();
-float w = (ymax-ymin)/nsli;
-
-for(int i=0; i<nsli; i++ ) {
-  b_s.num = i;
-  b_s.min = ymin + i*w;
-  b_s.max = b_s.min + w;
-  b_s.H = new Histo(xmin,xmax,nx);
-  lslix.push_back(b_s);
-  b_s.H = NULL;
-}
-return (int) lslix.size();
+if( nsli >  mNy ) nsli = mNy;
+if( mLSlix.size() > 0 ) DelSliX();
+r_8 w = (mYmax-mYmin)/nsli;
+
+for(int_4 i=0; i<nsli; i++ ) {
+  mB_s.num = i;
+  mB_s.min = mYmin + i*w;
+  mB_s.max = mB_s.min + w;
+  mB_s.H = new Histo(mXmin,mXmax,mNx);
+  mLSlix.push_back(mB_s);
+  mB_s.H = NULL;
+}
+return (int_4) mLSlix.size();
 }
 
@@ -1395,20 +1408,20 @@
   Pour creer `nsli' bandes equidistantes selon Y.
 */
-int Histo2D::SetSliY(int nsli)
+int_4 Histo2D::SetSliY(int_4 nsli)
 {
 if( nsli <= 0 ) return -1;
-if( nsli >  nx ) nsli = nx;
-if( lsliy.size() > 0 ) DelSliY();
-float w = (xmax-xmin)/nsli;
-
-for(int i=0; i<nsli; i++ ) {
-  b_s.num = i;
-  b_s.min = xmin + i*w;
-  b_s.max = b_s.min + w;
-  b_s.H = new Histo(ymin,ymax,ny);
-  lsliy.push_back(b_s);
-  b_s.H = NULL;
-}
-return (int) lsliy.size();
+if( nsli >  mNx ) nsli = mNx;
+if( mLSliy.size() > 0 ) DelSliY();
+r_8 w = (mXmax-mXmin)/nsli;
+
+for(int_4 i=0; i<nsli; i++ ) {
+  mB_s.num = i;
+  mB_s.min = mXmin + i*w;
+  mB_s.max = mB_s.min + w;
+  mB_s.H = new Histo(mYmin,mYmax,mNy);
+  mLSliy.push_back(mB_s);
+  mB_s.H = NULL;
+}
+return (int_4) mLSliy.size();
 }
 
@@ -1418,8 +1431,8 @@
 void Histo2D::DelSliX()
 {
-if( lslix.size() <= 0 ) return;
-for(list<bande_slice>::iterator i = lslix.begin(); i != lslix.end(); i++)
+if( mLSlix.size() <= 0 ) return;
+for(list<bande_slice>::iterator i = mLSlix.begin(); i != mLSlix.end(); i++)
        if( (*i).H != NULL ) {delete (*i).H; (*i).H=NULL;}
-lslix.erase(lslix.begin(),lslix.end());
+mLSlix.erase(mLSlix.begin(),mLSlix.end());
 }
 
@@ -1429,8 +1442,8 @@
 void Histo2D::DelSliY()
 {
-if( lsliy.size() <= 0 ) return;
-for(list<bande_slice>::iterator i = lsliy.begin(); i != lsliy.end(); i++)
+if( mLSliy.size() <= 0 ) return;
+for(list<bande_slice>::iterator i = mLSliy.begin(); i != mLSliy.end(); i++)
        if( (*i).H != NULL ) {delete (*i).H; (*i).H=NULL;}
-lsliy.erase(lsliy.begin(),lsliy.end());
+mLSliy.erase(mLSliy.begin(),mLSliy.end());
 }
 
@@ -1440,7 +1453,7 @@
 void Histo2D::ZeroSliX()
 {
-if( lslix.size() <= 0 ) return;
+if( mLSlix.size() <= 0 ) return;
 list<bande_slice>::iterator i;
-for(i = lslix.begin(); i != lslix.end(); i++)
+for(i = mLSlix.begin(); i != mLSlix.end(); i++)
               (*i).H->Zero();
 }
@@ -1451,7 +1464,7 @@
 void Histo2D::ZeroSliY()
 {
-if( lsliy.size() <= 0 ) return;
+if( mLSliy.size() <= 0 ) return;
 list<bande_slice>::iterator i;
-for(i = lsliy.begin(); i != lsliy.end(); i++)
+for(i = mLSliy.begin(); i != mLSliy.end(); i++)
               (*i).H->Zero();
 }
@@ -1461,8 +1474,8 @@
   selon X.
 */
-Histo* Histo2D::HSliX(int n) const
-{
-if( lslix.size() <= 0 || n < 0 || n >= (int) lslix.size() ) return NULL;
-for(list<bande_slice>::const_iterator i = lslix.begin(); i != lslix.end(); i++)
+Histo* Histo2D::HSliX(int_4 n) const
+{
+if( mLSlix.size() <= 0 || n < 0 || n >= (int_4) mLSlix.size() ) return NULL;
+for(list<bande_slice>::const_iterator i = mLSlix.begin(); i != mLSlix.end(); i++)
               if( (*i).num == n ) return (*i).H;
 return NULL;
@@ -1473,8 +1486,8 @@
   selon Y.
 */
-Histo* Histo2D::HSliY(int n) const
-{
-if( lsliy.size() <= 0 || n < 0 || n >= (int) lsliy.size() ) return NULL;
-for(list<bande_slice>::const_iterator i = lsliy.begin(); i != lsliy.end(); i++)
+Histo* Histo2D::HSliY(int_4 n) const
+{
+if( mLSliy.size() <= 0 || n < 0 || n >= (int_4) mLSliy.size() ) return NULL;
+for(list<bande_slice>::const_iterator i = mLSliy.begin(); i != mLSliy.end(); i++)
               if( (*i).num == n ) return (*i).H;
 return NULL;
@@ -1484,10 +1497,10 @@
   Informations sur les bandes equidistantes.
 */
-void Histo2D::ShowSli(int lp)
+void Histo2D::ShowSli(int_4 lp)
 {
 list<bande_slice>::iterator i;
-cout << ">>>> Nombre de slice X : " << lslix.size() << endl;
-if( lp>0 && lslix.size() > 0 )
-  for(i = lslix.begin(); i != lslix.end(); i++) {
+cout << ">>>> Nombre de slice X : " << mLSlix.size() << endl;
+if( lp>0 && mLSlix.size() > 0 )
+  for(i = mLSlix.begin(); i != mLSlix.end(); i++) {
     cout<<"  "<<(*i).num<<" de ymin="<<(*i).min<<" a ymax="<<(*i).max;
     if(lp>1) cout << "   H=" << (*i).H;
@@ -1495,7 +1508,7 @@
   }
 
-cout << ">>>> Nombre de slice Y : " << lsliy.size() << endl;
-if( lp>0 && lsliy.size()>0 )
-  for(i = lsliy.begin(); i != lsliy.end(); i++) {
+cout << ">>>> Nombre de slice Y : " << mLSliy.size() << endl;
+if( lp>0 && mLSliy.size()>0 )
+  for(i = mLSliy.begin(); i != mLSliy.end(); i++) {
     cout<<"  "<<(*i).num<<" de xmin="<<(*i).min<<" a xmax="<<(*i).max;
     if(lp>1) cout << "   H=" << (*i).H;
@@ -1518,5 +1531,5 @@
   else         dobj->Delete();
 
-float min,max;
+r_8 min,max;
 int_4 errok, projx, projy, nslix, nsliy, nbanx, nbany;
 
@@ -1530,19 +1543,19 @@
 
 // Lecture variables de definitions
-is.Get(dobj->nx);
-is.Get(dobj->ny);
-is.Get(dobj->nxy);
+is.Get(dobj->mNx);
+is.Get(dobj->mNy);
+is.Get(dobj->mNxy);
 is.Get(errok);
 is.Get(dobj->nEntries);
 is.Get(dobj->nHist);
 
-is.Get(dobj->xmin);
-is.Get(dobj->xmax);
-is.Get(dobj->ymin);
-is.Get(dobj->ymax);
-is.Get(dobj->wbinx);
-is.Get(dobj->wbiny);
-
-is.Get(&(dobj->over[0][0]),9);
+is.Get(dobj->mXmin);
+is.Get(dobj->mXmax);
+is.Get(dobj->mYmin);
+is.Get(dobj->mYmax);
+is.Get(dobj->mWBinx);
+is.Get(dobj->mWBiny);
+
+is.Get(&(dobj->mOver[0][0]),9);
 
 is.Get(projx);
@@ -1554,13 +1567,13 @@
 
 // Lecture histo2D
-dobj->data = new float[dobj->nxy];
+dobj->mData = new r_8[dobj->mNxy];
 is.GetLine(strg, 255);
-{for(int j=0;j<dobj->ny;j++) is.Get(dobj->data+j*dobj->nx,dobj->nx);}
+{for(int_4 j=0;j<dobj->mNy;j++) is.Get(dobj->mData+j*dobj->mNx,dobj->mNx);}
 
 // Lecture erreurs
 if(errok) {
   is.GetLine(strg, 255);
-  dobj->err2 = new double[dobj->nxy];
-  for(int j=0;j<dobj->ny;j++) is.Get(dobj->err2+j*dobj->nx,dobj->nx);
+  dobj->mErr2 = new r_8[dobj->mNxy];
+  for(int_4 j=0;j<dobj->mNy;j++) is.Get(dobj->mErr2+j*dobj->mNx,dobj->mNx);
 }
 
@@ -1569,5 +1582,5 @@
   is.GetLine(strg, 255);
   dobj->SetProjX();
-  ObjFileIO<Histo> fio_h(dobj->hprojx);
+  ObjFileIO<Histo> fio_h(dobj->mHprojx);
   fio_h.Read(is);
 }
@@ -1575,5 +1588,5 @@
   is.GetLine(strg, 255);
   dobj->SetProjY();
-  ObjFileIO<Histo> fio_h(dobj->hprojy);
+  ObjFileIO<Histo> fio_h(dobj->mHprojy);
   fio_h.Read(is);
 }
@@ -1584,5 +1597,5 @@
   dobj->SetSliX(nslix);
   ASSERT (nslix==dobj->NSliX());
-  for(int j=0;j<dobj->NSliX();j++)
+  for(int_4 j=0;j<dobj->NSliX();j++)
     {ObjFileIO<Histo> fio_h(dobj->HSliX(j)); fio_h.Read(is);}
 }
@@ -1591,5 +1604,5 @@
   dobj->SetSliY(nsliy);
   ASSERT (nsliy==dobj->NSliY());
-  for(int j=0;j<dobj->NSliY();j++)
+  for(int_4 j=0;j<dobj->NSliY();j++)
     {ObjFileIO<Histo> fio_h(dobj->HSliY(j)); fio_h.Read(is);}
 }
@@ -1598,10 +1611,10 @@
 if( nbanx>0 ) {
   is.GetLine(strg, 255);
-  {for(int j=0; j<nbanx; j++) {
+  {for(int_4 j=0; j<nbanx; j++) {
     is.Get(min); is.Get(max);
     dobj->SetBandX(min,max);
   }}
   ASSERT (nbanx==dobj->NBandX());
-  {for(int j=0; j<dobj->NBandX(); j++) {
+  {for(int_4 j=0; j<dobj->NBandX(); j++) {
     ObjFileIO<Histo> fio_h(dobj->HBandX(j));
     fio_h.Read(is);
@@ -1610,10 +1623,10 @@
 if( nbany>0 ) {
   is.GetLine(strg, 255);
-  {for(int j=0; j<nbany; j++) {
+  {for(int_4 j=0; j<nbany; j++) {
     is.Get(min); is.Get(max);
     dobj->SetBandY(min,max);
   }}
   ASSERT (nbany==dobj->NBandY());
-  {for(int j=0; j<dobj->NBandY(); j++) {
+  {for(int_4 j=0; j<dobj->NBandY(); j++) {
     ObjFileIO<Histo> fio_h(dobj->HBandY(j));
     fio_h.Read(is);
@@ -1630,7 +1643,7 @@
 
 // Que faut-il ecrire?
-int_4 errok = (dobj->err2) ? 1 : 0;
-int_4 projx = (dobj->hprojx) ? 1 : 0;
-int_4 projy = (dobj->hprojy) ? 1 : 0;
+int_4 errok = (dobj->mErr2) ? 1 : 0;
+int_4 projx = (dobj->mHprojx) ? 1 : 0;
+int_4 projy = (dobj->mHprojy) ? 1 : 0;
 int_4 nslix = dobj->NSliX();
 int_4 nsliy = dobj->NSliY();
@@ -1640,38 +1653,38 @@
 // Ecriture entete pour identifier facilement
 sprintf(strg,"nx=%d  ny=%d  nxy=%d errok=%1d"
-       ,dobj->nx,dobj->ny,dobj->nxy,errok);
+       ,dobj->mNx,dobj->mNy,dobj->mNxy,errok);
 os.PutLine(strg);
 sprintf(strg,"nHist=%g nEntries=%d",dobj->nHist,dobj->nEntries);
 os.PutLine(strg);
-sprintf(strg,"wbinx=%g wbiny=%g",dobj->wbinx,dobj->wbiny);
+sprintf(strg,"wbinx=%g wbiny=%g",dobj->mWBinx,dobj->mWBiny);
 os.PutLine(strg);
 sprintf(strg,"xmin=%g xmax=%g ymin=%g ymax=%g"
-       ,dobj->xmin,dobj->xmax,dobj->ymin,dobj->ymax);
+       ,dobj->mXmin,dobj->mXmax,dobj->mYmin,dobj->mYmax);
 os.PutLine(strg);
 sprintf(strg,"projx/y=%d %d nbandx/y=%d %d nbslix/y=%d %d"
        ,projx,projy,nbanx,nbany,nslix,nsliy);
 os.PutLine(strg);
-sprintf(strg,"over %g %g %g %g %g %g %g %g %g"
-       ,dobj->over[0][0],dobj->over[0][1],dobj->over[0][2]
-       ,dobj->over[1][0],dobj->over[1][1],dobj->over[1][2]
-       ,dobj->over[2][0],dobj->over[2][1],dobj->over[2][2]);
+sprintf(strg,"mOver %g %g %g %g %g %g %g %g %g"
+       ,dobj->mOver[0][0],dobj->mOver[0][1],dobj->mOver[0][2]
+       ,dobj->mOver[1][0],dobj->mOver[1][1],dobj->mOver[1][2]
+       ,dobj->mOver[2][0],dobj->mOver[2][1],dobj->mOver[2][2]);
 os.PutLine(strg);
 
 // Ecriture variables de definitions
-os.Put(dobj->nx);
-os.Put(dobj->ny);
-os.Put(dobj->nxy);
+os.Put(dobj->mNx);
+os.Put(dobj->mNy);
+os.Put(dobj->mNxy);
 os.Put(errok);
 os.Put(dobj->nEntries);
 os.Put(dobj->nHist);
 
-os.Put(dobj->xmin);
-os.Put(dobj->xmax);
-os.Put(dobj->ymin);
-os.Put(dobj->ymax);
-os.Put(dobj->wbinx);
-os.Put(dobj->wbiny);
-
-os.Put(&(dobj->over[0][0]),9);
+os.Put(dobj->mXmin);
+os.Put(dobj->mXmax);
+os.Put(dobj->mYmin);
+os.Put(dobj->mYmax);
+os.Put(dobj->mWBinx);
+os.Put(dobj->mWBiny);
+
+os.Put(&(dobj->mOver[0][0]),9);
 
 os.Put(projx);
@@ -1684,14 +1697,14 @@
 // Ecriture histo2D
 sprintf(strg,"Histo2D: Tableau des donnees %d = %d * %d"
-       ,dobj->nxy,dobj->nx,dobj->ny);
+       ,dobj->mNxy,dobj->mNx,dobj->mNy);
 os.PutLine(strg);
-{for(int j=0;j<dobj->ny;j++) os.Put(dobj->data+j*dobj->nx,dobj->nx);}
+{for(int_4 j=0;j<dobj->mNy;j++) os.Put(dobj->mData+j*dobj->mNx,dobj->mNx);}
 
 // Ecriture erreurs
 if(errok) {
   sprintf(strg,"Histo2D: Tableau des erreurs %d = %d * %d"
-         ,dobj->nxy,dobj->nx,dobj->ny);
+         ,dobj->mNxy,dobj->mNx,dobj->mNy);
   os.PutLine(strg);
-  for(int j=0;j<dobj->ny;j++) os.Put(dobj->err2+j*dobj->nx,dobj->nx);
+  for(int_4 j=0;j<dobj->mNy;j++) os.Put(dobj->mErr2+j*dobj->mNx,dobj->mNx);
 }
 
@@ -1700,10 +1713,10 @@
   sprintf(strg,"Histo2D: Projection X");
   os.PutLine(strg);
-  ObjFileIO<Histo> fio_h(dobj->hprojx); fio_h.Write(os);
+  ObjFileIO<Histo> fio_h(dobj->mHprojx); fio_h.Write(os);
 }
 if(projy) {
   sprintf(strg,"Histo2D: Projection Y");
   os.PutLine(strg);
-  ObjFileIO<Histo> fio_h(dobj->hprojy); fio_h.Write(os);
+  ObjFileIO<Histo> fio_h(dobj->mHprojy); fio_h.Write(os);
 }
 
@@ -1712,5 +1725,5 @@
   sprintf(strg,"Histo2D: Slices X %d",nslix);
   os.PutLine(strg);
-  for(int j=0;j<nslix;j++) {
+  for(int_4 j=0;j<nslix;j++) {
     Histo* h = dobj->HSliX(j);
     ObjFileIO<Histo> fio_h(h); fio_h.Write(os);
@@ -1720,5 +1733,5 @@
   sprintf(strg,"Histo2D: Slices Y %d",nsliy);
   os.PutLine(strg);
-  for(int j=0;j<nsliy;j++) {
+  for(int_4 j=0;j<nsliy;j++) {
     Histo* h = dobj->HSliY(j);
     ObjFileIO<Histo> fio_h(h); fio_h.Write(os);
@@ -1731,9 +1744,9 @@
   os.PutLine(strg);
   list<Histo2D::bande_slice>::const_iterator it;
-  for(it = dobj->lbandx.begin(); it != dobj->lbandx.end(); it++) {
-    float min = (*it).min; float max = (*it).max;
+  for(it = dobj->mLBandx.begin(); it != dobj->mLBandx.end(); it++) {
+    r_8 min = (*it).min; r_8 max = (*it).max;
     os.Put(min); os.Put(max);
   }
-  for(it = dobj->lbandx.begin(); it != dobj->lbandx.end(); it++) {
+  for(it = dobj->mLBandx.begin(); it != dobj->mLBandx.end(); it++) {
     Histo* h = (*it).H;
     ObjFileIO<Histo> fio_h(h); fio_h.Write(os);
@@ -1744,9 +1757,9 @@
   os.PutLine(strg);
   list<Histo2D::bande_slice>::const_iterator it;
-  for(it = dobj->lbandy.begin(); it != dobj->lbandy.end(); it++) {
-    float min = (*it).min; float max = (*it).max;
+  for(it = dobj->mLBandy.begin(); it != dobj->mLBandy.end(); it++) {
+    r_8 min = (*it).min; r_8 max = (*it).max;
     os.Put(min); os.Put(max);
   }
-  for(it = dobj->lbandy.begin(); it != dobj->lbandy.end(); it++) {
+  for(it = dobj->mLBandy.begin(); it != dobj->mLBandy.end(); it++) {
     Histo* h = (*it).H;
     ObjFileIO<Histo> fio_h(h); fio_h.Write(os);
